TauP_Tool (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauP_Tool

Package edu.sc.seis.TauP

# Class TauP_Tool

java.lang.Object
edu.sc.seis.TauP.TauP_Tool

Direct Known Subclasses:
  `TauP_Create`, `TauP_Time`, `TauP_VelocityMerge`, `TauP_VelocityPlot`

    public abstract class TauP_Tool
    extends java.lang.Object

Base class for tools within the TauP Toolkit.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static boolean` | `DEBUG` | Turns on debugging output.
  `static boolean` | `expert` | Turns on expert mode.
  `static java.lang.String` | `GMT` |
  `static java.lang.String` | `JSON` |
  `protected java.lang.String` | `outFileBase` |
  `protected Outputs` | `outForms` |
  `java.lang.String` | `outputFormat` |
  `static java.lang.String` | `SVG` |
  `static java.lang.String` | `TEXT` |
  `protected java.util.Properties` | `toolProps` |
  `boolean` | `verbose` | Turns on verbose output.
  `protected java.io.PrintWriter` | `writer` |

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `TauP_Tool()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static boolean` | `dashEquals​(java.lang.String argName, java.lang.String arg)` |
  `abstract void` | `destroy()` |
  `void` | `endGmtAndCleanUp​(java.io.PrintWriter out, java.lang.String psFile, java.lang.String projectionType)` |
  `java.lang.String` | `getOutFile()` |
  `java.lang.String` | `getOutFileBase()` |
  `java.lang.String` | `getOutFileExtension()` |
  `java.lang.String` | `getOutputFormat()` |
  `java.io.PrintWriter` | `getWriter()` |
  `abstract void` | `init()` |
  `protected abstract java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] origArgs)` |
  `protected java.lang.String[]` | `parseCommonCmdLineArgs​(java.lang.String[] origArgs)` |
  `static void` | `printNoComprendoArgs​(java.lang.String[] noComprendoArgs)` |
  `void` | `printScriptBeginning​(java.io.PrintWriter out)` | a noop that allows overriding classes to print things before results are calculated.
  `static void` | `printStdUsageHead​(java.lang.Class toolClass)` |
  `static void` | `printStdUsageTail()` |
  `abstract void` | `printUsage()` |
  `void` | `setOutFileBase​(java.lang.String outFileBase)` |
  `void` | `setOutFileExtension​(java.lang.String outFileExtension)` |
  `void` | `setOutputFormat​(java.lang.String val)` | usually one of TauP_Time.TEXT or TauP_Time.JSON.
  `void` | `setWriter​(java.io.PrintWriter writer)` |
  `abstract void` | `start()` |
  `static java.lang.String` | `toolNameFromClass​(java.lang.Class toolClass)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEBUG

    public static boolean DEBUG
    Turns on debugging output.

  - ### verbose

    public boolean verbose
    Turns on verbose output.

  - ### outputFormat

    public java.lang.String outputFormat

  - ### outFileBase

    protected java.lang.String outFileBase

  - ### GMT

    public static final java.lang.String GMT
    See Also:
      Constant Field Values

  - ### SVG

    public static final java.lang.String SVG
    See Also:
      Constant Field Values

  - ### JSON

    public static final java.lang.String JSON
    See Also:
      Constant Field Values

  - ### TEXT

    public static final java.lang.String TEXT
    See Also:
      Constant Field Values

  - ### expert

    public static boolean expert
    Turns on expert mode.

  - ### writer

    protected java.io.PrintWriter writer

  - ### toolProps

    protected java.util.Properties toolProps

  - ### outForms

    protected Outputs outForms

- ## Constructor Details

  - ### TauP_Tool

    protected TauP_Tool()

- ## Method Details

  - ### getOutputFormat

    public java.lang.String getOutputFormat()

  - ### setOutputFormat

    public void setOutputFormat​(java.lang.String val)
    usually one of TauP_Time.TEXT or TauP_Time.JSON. Subclasses may add additional types, for example TauP_Path.SVG.
    Parameters:
      `val` - output format for results

  - ### getOutFileBase

    public java.lang.String getOutFileBase()

  - ### setOutFileBase

    public void setOutFileBase​(java.lang.String outFileBase)

  - ### getOutFileExtension

    public java.lang.String getOutFileExtension()

  - ### setOutFileExtension

    public void setOutFileExtension​(java.lang.String outFileExtension)

  - ### getOutFile

    public java.lang.String getOutFile()

  - ### getWriter

    public java.io.PrintWriter getWriter() throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### setWriter

    public void setWriter​(java.io.PrintWriter writer)

  - ### printScriptBeginning

    public void printScriptBeginning​(java.io.PrintWriter out) throws java.io.IOException
    a noop that allows overriding classes to print things before results are calculated. For example to set up GMT commands before drawing paths.
    Parameters:
      `out` -
    Throws:
      `java.io.IOException`

  - ### endGmtAndCleanUp

    public void endGmtAndCleanUp​(java.io.PrintWriter out, java.lang.String psFile, java.lang.String projectionType)

  - ### dashEquals

    public static boolean dashEquals​(java.lang.String argName, java.lang.String arg)

  - ### parseCmdLineArgs

    protected abstract java.lang.String[] parseCmdLineArgs​(java.lang.String[] origArgs) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### init

    public abstract void init() throws TauPException
    Throws:
      `TauPException`

  - ### start

    public abstract void start() throws java.io.IOException, TauModelException, TauPException
    Throws:
      `java.io.IOException`
      `TauModelException`
      `TauPException`

  - ### destroy

    public abstract void destroy() throws TauPException
    Throws:
      `TauPException`

  - ### printUsage

    public abstract void printUsage()

  - ### parseCommonCmdLineArgs

    protected java.lang.String[] parseCommonCmdLineArgs​(java.lang.String[] origArgs) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### toolNameFromClass

    public static java.lang.String toolNameFromClass​(java.lang.Class toolClass)

  - ### printStdUsageHead

    public static void printStdUsageHead​(java.lang.Class toolClass)

  - ### printStdUsageTail

    public static void printStdUsageTail()

  - ### printNoComprendoArgs

    public static void printNoComprendoArgs​(java.lang.String[] noComprendoArgs)